Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class ErrorHandler

- io.vertx.groovy.ext.web.handler.ErrorHandler

- All Implemented Interfaces and Traits:
    Handler

      @CompileStatic
      class ErrorHandler

  A pretty error handler for rendering error pages.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ErrorHandler (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ErrorHandler` | `create()` Create an error handler using defaults
    `static ErrorHandler` | `create(String errorTemplateName, boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(String errorTemplateName)` Create an error handler
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### ErrorHandler(Object delegate)

  - ### Method Detail

    - #### static ErrorHandler create()

      Create an error handler using defaults

      Returns:
        the handler

    - #### static ErrorHandler create(String errorTemplateName, boolean displayExceptionDetails)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
        `displayExceptionDetails` - true if exception details should be displayed

    - #### static ErrorHandler create(boolean displayExceptionDetails)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `displayExceptionDetails` - true if exception details should be displayed

    - #### static ErrorHandler create(String errorTemplateName)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath

    - #### Object getDelegate()

    - #### void handle(RoutingContext arg0)